# Class HavenoError

Haveno error with message and code.

#### Hierarchy

- Error
  - HavenoError

- Defined in src/types/HavenoError.ts:21

#####
Index

### Constructors

constructor

### Properties

cause?
code
message
name
stack?
prepareStackTrace?
stackTraceLimit

### Methods

captureStackTrace

## Constructors

### constructor

- new HavenoError(msg: string, code?: number): HavenoError

- Create the error with a message and code.

  #### Parameters

  - ##### msg: string

    the error message

  - ##### `Optional` code: number

  #### Returns HavenoError

  Overrides Error.constructor

  - Defined in src/types/HavenoError.ts:31

## Properties

### `Optional` cause

cause?: unknown

Inherited from Error.cause

- Defined in node_modules/typescript/lib/lib.es2022.error.d.ts:26

### code

code: undefined | number

- Defined in src/types/HavenoError.ts:23

### message

message: string

Inherited from Error.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1054

### name

name: string

Inherited from Error.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1053

### `Optional` stack

stack?: string

Inherited from Error.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1055

### `Static` `Optional` prepareStackTrace

prepareStackTrace?: ((err: Error, stackTraces: CallSite[]) => any)

#### Type declaration

- - (err: Error, stackTraces: CallSite[]): any

  - Optional override for formatting stack traces

    ### See

    https://v8.dev/docs/stack-trace-api#customizing-stack-traces

    #### Parameters

    - ##### err: Error

    - ##### stackTraces: CallSite[]

    #### Returns any

Inherited from Error.prepareStackTrace

- Defined in node_modules/@types/node/globals.d.ts:11

### `Static` stackTraceLimit

stackTraceLimit: number

Inherited from Error.stackTraceLimit

- Defined in node_modules/@types/node/globals.d.ts:13

## Methods

### `Static` captureStackTrace

- captureStackTrace(targetObject: object, constructorOpt?: Function): void

- Create .stack property on a target object

  #### Parameters

  - ##### targetObject: object

  - ##### `Optional` constructorOpt: Function

  #### Returns void

  Inherited from Error.captureStackTrace

  - Defined in node_modules/@types/node/globals.d.ts:4

Generated using TypeDoc